Bug 426687 - Review Request: wavextract - Program for extracting embedded audio data from JPEG images
Review Request: wavextract - Program for extracting embedded audio data from ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-24 07:04 EST by Krzysztof Kurzawski
Modified: 2008-01-26 09:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-26 09:44:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Krzysztof Kurzawski 2007-12-24 07:04:27 EST
Spec URL: http://kurzawa.nonlogic.org/rpm/wavextract/wavextract.spec
SRPM URL: http://kurzawa.nonlogic.org/rpm/wavextract/wavextract-1.0.0-1.fc8.src.rpm
Description: Program for extracting embedded audio data from JPEG images.

P.S I'm looking for sponsor.
Comment 1 manuel wolfshant 2007-12-24 15:14:00 EST
I am not a sponsor so independent of the following review, you'll still need to
convince one to review your work and sponsor you. Therefore I am neither
assigning the bug to me nor mark it as beng reviewed.



Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: x86_64
 [x] Rpmlint output:none
 [x] Package is not relocatable.
 [!] Buildroot is correct 
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
wavextract starts with:
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
Therefore:
     Actual license: GPLv2+
     Value in the license field: GPLv2
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package: d02a4f53e8fc3deec2eef10249972cd8b1a8bf44 
wavextract-1.0.0.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:devel and F7,86_64, i386
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.


Issues:
1. License tag must be fixed
2. The buildroot value is a bit odd, I suggest replacing it with one of the
three listed in the packaging guidelines. The value that you have chosen is a
bit odd.. it looks like you have accidentally deleted the end of the line.
3. I suggest using http://download.berlios.de/wavextract/%name-%version.tar.gz
for Source0. The link you have used goes to a page from which the actual
download link must be manually selected and thus prohibits automatic checking.

  Notes
1. The package installs just fine and does not crash when started. I could not
test anything else because I have no JPEG files with embeded audio
Comment 2 Krzysztof Kurzawski 2007-12-24 15:32:19 EST
Fixed

Spec URL: http://kurzawa.nonlogic.org/rpm/wavextract/wavextract.spec
SRPM URL: http://kurzawa.nonlogic.org/rpm/wavextract/wavextract-1.0.0-2.fc8.src.rpm

- Correct license tag
- Correct Source0
- Correct BuildRoot

Thamks for review ;)
Comment 3 Xavier Lamien 2008-01-17 11:55:09 EST
Removed NEED-SPONSOR block, i'll sponsor him.
Comment 4 manuel wolfshant 2008-01-21 17:44:51 EST
All issues are solved, APPROVED
Comment 5 Krzysztof Kurzawski 2008-01-25 14:03:42 EST
New Package CVS Request
=======================
Package Name: wavextract
Short Description: Program for extracting embedded audio data from JPEG images
Owners: kurzawa
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-01-25 14:51:18 EST
cvs done.
Comment 7 Krzysztof Kurzawski 2008-01-26 08:50:47 EST
Spec URL: http://kurzawa.nonlogic.org/rpm/wavextract/wavextract.spec
SRPM URL: http://kurzawa.nonlogic.org/rpm/wavextract/wavextract-1.0.0-3.fc8.src.rpm

- Add polish description and summary
Comment 8 Krzysztof Kurzawski 2008-01-26 09:44:30 EST
Imported and built. Thanks again for the review!

Note You need to log in before you can comment on or make changes to this bug.